Get image scanning settings
API server
https://app.coolify.io/api/v1Get the image vulnerability scanning settings of a server owned by the authenticated team, and the state of the scanner on the server. Needs a team admin or owner.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Server UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/servers/string/image-scanning"{ "is_image_scan_enabled": true, "scanner_state": "pulling", "scanner_failed_step": "string", "scanner_built_at": "2019-08-24T14:15:22Z", "scanner_disk_used_bytes": 0}{ "message": "Invalid token."}{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}